Loading...
Searching...
No Matches
Magick::distortImage Class Reference

## Public Member Functions

| distortImage (const Magick::DistortMethod method_, const size_t number_arguments_, const double *arguments_, const bool bestfit_)
| distortImage (const Magick::DistortMethod method_, const size_t number_arguments_, const double *arguments_)
void | operator() (Image &image_) const

## Private Attributes

DistortMethod | _method
size_t | _number_arguments
const double * | _arguments
bool | _bestfit

## Detailed Description

Definition at line 350 of file STL.h.

## Constructor & Destructor Documentation

## distortImage() [1/2]

Magick::distortImage::distortImage | ( | const Magick::DistortMethod | method_,
|  | const size_t | number_arguments_,
|  | const double * | arguments_,
|  | const bool | bestfit_ )

Definition at line 305 of file STL.cpp.

: _method ( method_ ),
_number_arguments ( number_arguments_ ),
_arguments ( arguments_ ),
_bestfit( bestfit_ )
{
}

## distortImage() [2/2]

Magick::distortImage::distortImage | ( | const Magick::DistortMethod | method_,
|  | const size_t | number_arguments_,
|  | const double * | arguments_ )

Definition at line 315 of file STL.cpp.

: _method ( method_ ),
_number_arguments ( number_arguments_ ),
_arguments ( arguments_ ),
_bestfit( false )
{
}

## Member Function Documentation

## operator()()

void Magick::distortImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 324 of file STL.cpp.

{
image_.distort( _method, _number_arguments, _arguments, _bestfit );
}

## Field Documentation

## _arguments

const double* Magick::distortImage::_arguments

private

Definition at line 367 of file STL.h.

## _bestfit

bool Magick::distortImage::_bestfit

private

Definition at line 368 of file STL.h.

## _method

DistortMethod Magick::distortImage::_method

private

Definition at line 365 of file STL.h.

## _number_arguments

size_t Magick::distortImage::_number_arguments

private

Definition at line 366 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp